--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: X class is used to represent an argument &quot;slot&quot;.
constants: []

full_name: X
includes: []

instance_methods: []

name: X
superclass: ArgumentError
